> ## Documentation Index
> Fetch the complete documentation index at: https://koreai-agent-management-platform-dev.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Test Execution API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/automation/api-list)</Badge>

To execute Batch Test Suites and get results. This API only initiates the test process. Use the [Batch Test Execution Status API](batch-test-execution-status.md) for the results.

| Field             | Value                                                                                                                            |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | POST                                                                                                                             |
| **Endpoint**      | `https://{{host}}/api/public/bot/{{BotID}}/testsuite/{testSuiteName}/run`                                                        |
| **Content Type**  | `application/json`                                                                                                               |
| **Authorization** | `auth: {{JWT}}` See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction/#generating-the-jwt-token). |
| **API Scope**     | App Builder: Batch Tests Execution; Admin Console: Not Applicable                                                                |

## Query Parameters

| PARAMETER         | DESCRIPTION                                                                            | MANDATE  |
| ----------------- | -------------------------------------------------------------------------------------- | -------- |
| **host**          | The environment URL. For example, `https://platform.kore.ai`                           | Required |
| **BotID**         | *Bot ID* or *Stream ID* can be accessed under **General Settings** on the App Builder. | Required |
| **testSuiteName** | Name of the test suite on the App Builder.                                             | Required |

## Sample Request

```json  theme={null}
curl --location --request POST \
      'https://{host}/api/public/stream/{streamId}/testsuite/{testSuiteName}/run' \
      --header 'auth: {jwt-token}' \
      --header 'bot-language: {language-code}' \
      --header 'Content-Type: application/json' \
      --data-raw '{
         "version":"inDevelopment",
         "engine":"dgpt"
         }'
```

<Note>
  * If `engine = "regression"` (or empty) or engine is not provided, it executes ML Batch Testing.
  * If engine is set to `"dgpt"`, it executes Dialog GPT Batch Testing.
</Note>

## Body Parameters

| PARAMETER   | DESCRIPTION                                                                                                                                    | MANDATE  |
| ----------- | ---------------------------------------------------------------------------------------------------------------------------------------------- | -------- |
| **version** | The version of the bot against which the execution is required: `published` for Published version, `inDevelopment` for the Configured version. | Required |

## Sample Response

```json  theme={null}
{
    "status": "accepted",
    "requestId": "tr-acfxxbff-xxxf-xaxx-bbbx-exxxabaxxcxx"
}
```


Built with [Mintlify](https://mintlify.com).